CFD Online Discussion Forums

CFD Online Discussion Forums (http://www.cfd-online.com/Forums/)
-   OpenFOAM Installation (http://www.cfd-online.com/Forums/openfoam-installation/)
-   -   OF-1.6-ext installed but not working! (http://www.cfd-online.com/Forums/openfoam-installation/115203-1-6-ext-installed-but-not-working.html)

zhaghayeghi March 26, 2013 02:46

OF-1.6-ext installed but not working!
 
Hi,
I have downloaded and installed OF-1.6-ext on ubuntu 10.04 LTS and added the alias command to the end of bashrc, when I type 'of16ext' in the terminal, the output is like this:
Quote:

Sourcing: /home/darya/OpenFOAM/OpenFOAM-1.6-ext/etc/settings.sh
Using openmpi-1.4.3 from the ThirdParty package: /home/darya/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/packages/openmpi-1.4.3
Sourcing: /home/darya/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/packages/openmpi-1.4.3/platforms/linuxGccDPOpt/etc/openmpi-1.4.3.sh
Environment variables defined for OpenMPI:
OPENMPI_BIN_DIR : /home/darya/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/packages/openmpi-1.4.3/platforms/linuxGccDPOpt/bin
OPENMPI_LIB_DIR : /home/darya/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/packages/openmpi-1.4.3/platforms/linuxGccDPOpt/lib
OPENMPI_INCLUDE_DIR : /home/darya/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/packages/openmpi-1.4.3/platforms/linuxGccDPOpt/include
OPENMPI_COMPILE_FLAGS : -I/home/darya/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/packages/openmpi-1.4.3/platforms/linuxGccDPOpt/include -pthread
OPENMPI_LINK_FLAGS : -pthread -L/home/darya/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/packages/openmpi-1.4.3/platforms/linuxGccDPOpt/lib -lmpi -lopen-rte -lopen-pal -ldl -Wl,--export-dynamic -lnsl -lutil -lm -ldl

MPI_HOME : /home/darya/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/packages/openmpi-1.4.3/platforms/linuxGccDPOpt
MPI_ARCH_PATH : /home/darya/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/packages/openmpi-1.4.3/platforms/linuxGccDPOpt
OPAL_PREFIX : /home/darya/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/packages/openmpi-1.4.3/platforms/linuxGccDPOpt
PINC : -I/home/darya/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/packages/openmpi-1.4.3/platforms/linuxGccDPOpt/include -pthread
PLIBS : -pthread -L/home/darya/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/packages/openmpi-1.4.3/platforms/linuxGccDPOpt/lib -lmpi -lopen-rte -lopen-pal -ldl -Wl,--export-dynamic -lnsl -lutil -lm -ldl
Sourcing: /home/darya/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/packages/mesquite-2.1.2/platforms/linuxGccDPOpt/etc/mesquite-2.1.2.sh
MESQUITE_DIR is initialized to: /home/darya/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/packages/mesquite-2.1.2/platforms/linuxGccDPOpt
Sourcing: /home/darya/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/packages/metis-5.0pre2/platforms/linuxGccDPOpt/etc/metis-5.0pre2.sh
METIS_DIR is initialized to: /home/darya/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/packages/metis-5.0pre2/platforms/linuxGccDPOpt
PARMETIS_DIR is initialized to:
Sourcing: /home/darya/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/packages/ParMGridGen-1.0/platforms/linuxGccDPOpt/etc/ParMGridGen-1.0.sh
PARMGRIDGEN_DIR is initialized to: /home/darya/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/packages/ParMGridGen-1.0/platforms/linuxGccDPOpt
LIBCCMIO_DIR is initialized to:
Sourcing: /home/darya/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/packages/scotch-5.1.10b/platforms/linuxGccDPOpt/etc/scotch-5.1.10b.sh
SCOTCH_DIR is initialized to: /home/darya/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/packages/scotch-5.1.10b/platforms/linuxGccDPOpt
Sourcing: /home/darya/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/packages/cmake-2.8.8/platforms/linuxGccDPOpt/etc/cmake-2.8.8.sh
CMAKE_DIR is initialized to: /home/darya/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/packages/cmake-2.8.8/platforms/linuxGccDPOpt
M4_DIR is initialized to:
BISON_DIR is initialized to:
FLEX_DIR is initialized to:
ZOLTAN_DIR is initialized to:
PYTHON_DIR is initialized to:
QT_DIR is initialized to: /usr
Sourcing: /home/darya/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/packages/ParaView-3.12.0/platforms/linuxGccDPOpt/etc/ParaView-3.12.0.sh
PARAVIEW_DIR is initialized to: /home/darya/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/packages/ParaView-3.12.0/platforms/linuxGccDPOpt
Sourcing: /home/darya/OpenFOAM/OpenFOAM-1.6-ext/etc/aliases.sh
and when I try to run blockMesh or icoFoam, it says command not found.
what should I do?

A.Wendy March 26, 2013 06:03

can you upload the log file of the allwmake procedure?

zhaghayeghi March 26, 2013 10:13

1 Attachment(s)
Quote:

Originally Posted by A.Wendy (Post 416429)
can you upload the log file of the allwmake procedure?

Here are the log file of thirdParty and allwmake

A.Wendy March 26, 2013 10:56

Quote:

Originally Posted by zhaghayeghi (Post 416522)
Here are the log file of thirdParty and allwmake

hi there are alot of error massages!

-----------------
Package name : libccmio-2.6.1
Package URL : https://wci.llnl.gov/codes/visit/3rd...o-2.6.1.tar.gz
RPM spec file name: libccmio-2.6.1.spec
Additional flags :
Updating the ThirdParty environment variables before building package libccmio-2.6.1
Download libccmio-2.6.1.tar.gz from : https://wci.llnl.gov/codes/visit/3rd...o-2.6.1.tar.gz
--2013-03-24 19:06:12-- https://wci.llnl.gov/codes/visit/3rd...o-2.6.1.tar.gz
Resolving wci.llnl.gov... 198.128.246.10
Connecting to wci.llnl.gov|198.128.246.10|:443... connected.
HTTP request sent, awaiting response... 404 Not Found
2013-03-24 19:06:22 ERROR 404: Not Found.
-------------

the source mentioned is not online. change the file AllMake.stage3 for Thirdparty.

change the URL: https://wci.llnl.gov/codes/visit/3rd...o-2.6.1.tar.gz
to: ftp://priede.bf.lu.lv/pub/TIS/biblio...o-2.6.1.tar.gz

after that compile thirdparty and of16 again and check the log-files for errors


All times are GMT -4. The time now is 13:47.